<script setup lang="ts">
import { ref, provide, onBeforeUnmount } from 'vue'
import { RouterLink, RouterView, useRoute } from 'vue-router'
import MainAppBar from './components/MainAppBar.vue'
import MainMenu from './components/MainMenu.vue'
import LoadingDialog from './components/LoadingDialog.vue'
import MainLayout from './layouts/MainLayout.vue'
import FullLayout from './layouts/FullLayout.vue'
import MessageBox from './components/MessageBox.vue'

const rail = ref(true)
const drawer = ref(true)
const route = useRoute()

provide('rail', rail)
provide('drawer', drawer)
const clearSomething = () => {
  localStorage.clear()
}

window.addEventListener('beforeunload', clearSomething)

onBeforeUnmount(() => {
  window.removeEventListener('beforeunload', clearSomething)
})
</script>

<template>
  <component :is="route.meta.layout === 'MainLayout' ? MainLayout : FullLayout"></component>
  <LoadingDialog></LoadingDialog>
  <MessageBox></MessageBox>
  <!-- <MainAppBar></MainAppBar>
    <MainManu></MainManu>
    <v-main class="align-center justify-center" style="min-height: 300px">
      <div class="pa-6">
        <RouterView></RouterView>
      </div>
    </v-main> -->
</template>

<style scoped>
/* สีพื้นหลังของทุกหน้า */
.v-layout {
  background-color: #fff5e8;
  min-height: 100vh;
}
</style>
